loci.formats.in

## Class DeltavisionReader.DVExtHdrFields

- java.lang.Object
- - loci.formats.in.DeltavisionReader.DVExtHdrFields

- Enclosing class:
    DeltavisionReader

      private static class DeltavisionReader.DVExtHdrFields
      extends java.lang.Object

  This private class structure holds the details for the extended header. Instances of the class should NOT leak out of the containing instance.
  Author:
    Brian W. Loranger

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `emWavelen` Emission filter wavelength.
    `float` | `energyConvFactor` Energy conversion factor.
    `float` | `expTime` Exposure time in seconds.
    `float` | `exWavelen` Excitation filter wavelength.
    `float` | `intenScaling` Intensity scaling factor.
    `float` | `maxInten` Maxiumum intensity.
    `float` | `minInten` Minimum intensity
    `float` | `ndFilter` Neutral density value.
    `float` | `photosensorReading` Photosensor reading.
    `ome.units.quantity.Length` | `stageXCoord` X stage coordinates.
    `ome.units.quantity.Length` | `stageYCoord` Y stage coordinates.
    `ome.units.quantity.Length` | `stageZCoord` Z stage coordinates.
    `float` | `timeStampSeconds` Time stamp in seconds since the experiment began.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `DVExtHdrFields(loci.common.RandomAccessInputStream in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.Object>` | `asMap()`
    `java.lang.String` | `toString()` Helper function which overrides toString, printing out the values in the header section.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### photosensorReading

          public float photosensorReading

      Photosensor reading. Typically in mV.

    - #### timeStampSeconds

          public float timeStampSeconds

      Time stamp in seconds since the experiment began.

    - #### stageXCoord

          public ome.units.quantity.Length stageXCoord

      X stage coordinates.

    - #### stageYCoord

          public ome.units.quantity.Length stageYCoord

      Y stage coordinates.

    - #### stageZCoord

          public ome.units.quantity.Length stageZCoord

      Z stage coordinates.

    - #### minInten

          public float minInten

      Minimum intensity

    - #### maxInten

          public float maxInten

      Maxiumum intensity.

    - #### expTime

          public float expTime

      Exposure time in seconds.

    - #### ndFilter

          public float ndFilter

      Neutral density value.

    - #### exWavelen

          public float exWavelen

      Excitation filter wavelength.

    - #### emWavelen

          public float emWavelen

      Emission filter wavelength.

    - #### intenScaling

          public float intenScaling

      Intensity scaling factor. Usually 1.

    - #### energyConvFactor

          public float energyConvFactor

      Energy conversion factor. Usually 1.

  - ### Constructor Detail

    - #### DVExtHdrFields

          private DVExtHdrFields(loci.common.RandomAccessInputStream in)

  - ### Method Detail

    - #### asMap

          public java.util.Map<java.lang.String,java.lang.Object> asMap()

    - #### toString

          public java.lang.String toString()

      Helper function which overrides toString, printing out the values in the header section.
      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2026 Open Microscopy Environment